=head1 NAME

Gtk2::Box - wrapper for GtkBox

=cut

=head1 HIERARCHY

  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::Box



=cut

=head1 INTERFACES

  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable
  Gtk2::Orientable



=cut


=head1 METHODS

=head2 $box-E<gt>B<set_child_packing> ($child, $expand, $fill, $padding, $pack_type)

=over

=item * $child (Gtk2::Widget) 

=item * $expand (boolean) 

=item * $fill (boolean) 

=item * $padding (integer) 

=item * $pack_type (Gtk2::PackType) 

=back

=head2 boolean = $box-E<gt>B<get_homogeneous> 

=head2 $box-E<gt>B<set_homogeneous> ($homogeneous)

=over

=item * $homogeneous (boolean) 

=back

=head2 $box-E<gt>B<pack_end> ($child, $expand, $fill, $padding)

=over

=item * $child (Gtk2::Widget) 

=item * $expand (boolean) 

=item * $fill (boolean) 

=item * $padding (integer) 

=back

=head2 $box-E<gt>B<pack_end_defaults> ($widget)

=over

=item * $widget (Gtk2::Widget) 

=back

=head2 $box-E<gt>B<pack_start> ($child, $expand, $fill, $padding)

=over

=item * $child (Gtk2::Widget) 

=item * $expand (boolean) 

=item * $fill (boolean) 

=item * $padding (integer) 

=back

=head2 $box-E<gt>B<pack_start_defaults> ($widget)

=over

=item * $widget (Gtk2::Widget) 

=back

=head2 list = $box-E<gt>B<query_child_packing> ($child)

=over

=item * $child (Gtk2::Widget) 

=back

=head2 $box-E<gt>B<reorder_child> ($child, $position)

=over

=item * $child (Gtk2::Widget) 

=item * $position (integer) 

=back

=head2 integer = $box-E<gt>B<get_spacing> 

=head2 $box-E<gt>B<set_spacing> ($spacing)

=over

=item * $spacing (integer) 

=back



=cut


=head1 PROPERTIES

=over

=item 'homogeneous' (boolean : default false : readable / writable / private)

Whether the children should all be the same size

=item 'spacing' (integer : default 0 : readable / writable / private)

The amount of space between children

=back



=cut


=head1 CHILD PROPERTIES

=over

=item 'expand' (boolean : default true : readable / writable / private)

Whether the child should receive extra space when the parent grows

=item 'fill' (boolean : default true : readable / writable / private)

Whether extra space given to the child should be allocated to the child or used as padding

=item 'pack-type' (Gtk2::PackType : default "start" : readable / writable / private)

A GtkPackType indicating whether the child is packed with reference to the start or end of the parent

=item 'padding' (Glib::UInt : default 0 : readable / writable / private)

Extra space to put between the child and its neighbors, in pixels

=item 'position' (integer : default 0 : readable / writable / private)

The index of the child in the parent

=back



=cut


=head1 ENUMS AND FLAGS

=head2 enum Gtk2::PackType

=over

=item * 'start' / 'GTK_PACK_START'

=item * 'end' / 'GTK_PACK_END'

=back




=cut


=head1 SEE ALSO

L<Gtk2>, L<Glib::Object>, L<Glib::InitiallyUnowned>, L<Gtk2::Object>, L<Gtk2::Widget>, L<Gtk2::Container>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2011 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.



=cut

